Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230140 - Review Request: SILLY - Simple and easy to use library for image loading
Summary: Review Request: SILLY - Simple and easy to use library for image loading
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 20:35 UTC by Ian Chapman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 01:47:26 UTC
mtasaka: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Ian Chapman 2007-02-26 20:35:18 UTC
Spec URL: http://dribble.org.uk/reviews/SILLY.spec
SRPM URL: http://dribble.org.uk/reviews/SILLY-0.1.0-1.src.rpm
Description:

The Simple Image Loading LibrarY is a companion library of the CEGUI project.
It provides a simple and easy to use library for image loading.

It currently supports the following formats:
TGA (Targa)
JPEG (Joint Photographic Experts Group)
PNG (Portable Network Graphics)

Comment 1 Mamoru TASAKA 2007-03-11 17:32:28 UTC
Well, almost okay.
For 0.1.0-1:

* Timestamps
  - This package tries to install 
    * some text files such as header files (in -devel)
    and keeping timestamps on these files are recommended.
    Perhaps
------------------------------------------------
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
------------------------------------------------
    will work

* Provides
  - By the way, why do you want the following?
------------------------------------------------
Provides:       silly = %{version}-%{release}
------------------------------------------------

* Source
  - Please check:
    http://fedoraproject.org/wiki/Packaging/SourceURL

* Warning
  - Unless they are _very_ noisy, please don't suppress warnings.

* sed usage
  - Perhaps
-------------------------------------------------
%{__sed} -i 's|\(GENERATE_MAN[ \t][ \t]*= \)NO|\1YES|' Doxyfile
-------------------------------------------------
    would be better. You don't have to count the number of spaces.

* Encodings
  - Please change the encoding of the following to UTF-8.
-------------------------------------------------
./AUTHORS ISO-8859-1
-------------------------------------------------

Comment 2 Ian Chapman 2007-03-11 21:04:24 UTC
(In reply to comment #1)

> * Timestamps

Fixed.


> * Provides
>   - By the way, why do you want the following?
> ------------------------------------------------
> Provides:       silly = %{version}-%{release}
> ------------------------------------------------

A while back there was some discussion over using upper case characters and it
was suggested that a policy should be made where packages that use uppercase
characters should have lowercase provides "alias". I think this isn't ever going
to happen now, so I've removed that from the SPEC.

> * Source

Fixed.

> * Warning
>   - Unless they are _very_ noisy, please don't suppress warnings.

I'd rather leave these surpressed for generating the documentation, to me it's a
lot of largely useless noise.

> * sed usage

Thanks for the improved sed replacements, I've changed it.

> * Encodings

Fixed.

Spec URL: http://dribble.org.uk/reviews/SILLY.spec
SRPM URL: http://dribble.org.uk/reviews/SILLY-0.1.0-2.src.rpm


Comment 3 Mamoru TASAKA 2007-03-12 07:01:16 UTC
Okay.

--------------------------------------------
  This package (SILLY) is APPROVED by me.
--------------------------------------------

Comment 4 Ian Chapman 2007-03-12 13:58:22 UTC
Thanks you very much for the review.

Comment 5 Ian Chapman 2007-03-13 21:01:06 UTC
New Package CVS Request
=======================
Package Name: SILLY
Short Description: Simple and easy to use library for image loading
Owners: packages@amiga-hardware.com
Branches: FC-5 FC-6
InitialCC: 

Comment 6 Ian Chapman 2007-03-14 01:47:26 UTC
Successfully built, closing.


Note You need to log in before you can comment on or make changes to this bug.